Description:
  Author: V. Agudetse
  Description: ECMWF-SEAS5 Downscaling
Analysis:
  Horizon: Seasonal
  Variables:
    name: tas
    freq: monthly_mean
  Datasets:
    System:
      name: ECMWF-SEAS5
    Multimodel: False
    Reference:
      name: ERA5
  Time:
    sdate: '0501'
    fcst_year: '2020'
    hcst_start: '2000'
    hcst_end: '2005'
    ftime_min: 1
    ftime_max: 1
  Region:
    latmin: 34.1
    latmax: 45.1
    lonmin: -12.5
    lonmax: 6.35
  Regrid:
    method: 
    type: none
  Workflow:
    Anomalies:
      compute: yes # yes/no, default yes
      cross_validation: no # yes/no, default yes
      save: 'none' # 'all'/'none'/'exp_only'/'fcst_only'
    Calibration:
      method: mse_min
      save: 'none' # 'all'/'none'/'exp_only'/'fcst_only'
    Downscaling:
      # Assumption 1: leave-one-out cross-validation is always applied
      # Assumption 2: for analogs, we select the best analog (minimum distance)
      type: intbc # mandatory, 'none', 'int', 'intbc', 'intlr', 'analogs', 'logreg'.
      int_method: conservative # regridding method accepted by CDO.
      bc_method: bias # If type intbc. Options: 'bias', 'calibration', 'quantile_mapping', 'qm', 'evmos', 'mse_min', 'crps_min', 'rpc-based'.
      lr_method: # If type intlr. Options: 'basic', 'large_scale', '4nn'
      log_reg_method: # If type logreg. Options: 'ens_mean', 'ens_mean_sd', 'sorted_members'
      target_grid: /esarchive/recon/ecmwf/era5/monthly_mean/tas_f1h/tas_200002.nc # nc file or grid accepted by CDO
      nanalogs: # If type analgs. Number of analogs to be searched
      save: 'all' # 'all'/'none'/'exp_only'
    Skill:
      metric: BSS10 BSS90
      save: 'all' # 'all'/'none'
    Probabilities:
      percentiles: [[1/3, 2/3], [1/10, 9/10]]
      save: 'percentiles_only' # 'all'/'none'/'bins_only'/'percentiles_only'
    Visualization:
      plots: skill_metrics
      multi_panel: no
      projection: cylindrical_equidistant
    Indicators:
      index: no
  ncores: 10
  remove_NAs: yes
  Output_format: S2S4E
Run:
  Loglevel: INFO
  Terminal: yes
  output_dir: /esarchive/scratch/vagudets/auto-s2s-outputs/
  code_dir: /esarchive/scratch/vagudets/repos/auto-s2s/
